﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WebDataGrid.DataSource = GetTable();
            WebDataGrid.DataBind();
        }
    }

    public DataTable GetTable()
    {
        DataTable dt = new DataTable();
        dt.TableName = "Table";
        DataRow newRow;

        DataColumn idColumn = new DataColumn();
        idColumn.ColumnName = "id";
        idColumn.DataType = System.Type.GetType("System.Int32");
        idColumn.AutoIncrement = true;

        dt.Columns.Add(idColumn);
        dt.Columns.Add("EmployeeId", System.Type.GetType("System.Int32"));
        dt.Columns.Add("EmployeeName", System.Type.GetType("System.String"));
        dt.Columns.Add("Age", System.Type.GetType("System.Int32"));
        dt.Columns.Add("Extension", System.Type.GetType("System.Int32"));

        dt.Columns.Add("Salary", System.Type.GetType("System.Int32"));
        dt.Columns.Add("Bonuses", System.Type.GetType("System.Int32"));
        dt.Columns.Add("Total", System.Type.GetType("System.Int32"));

        for (int i = 1; i <= 20; i++)
        {
            newRow = dt.NewRow();

            newRow["EmployeeId"] = i;
            newRow["EmployeeName"] = "Employee " + i;
            newRow["Age"] = i + 30;
            newRow["Extension"] = i + 254;
            newRow["Salary"] = i + 3000;
            newRow["Bonuses"] = i + 200;

            dt.Rows.Add(newRow);
        }

        return dt;
    }
}